Subject: ld & glibc

From: Ralf Baechle <[email-masked]>
Date: Sun, 8 Oct 2000 17:51:53 +0200

Please don't use a ld >= 2.9.x.  I've tracked down a bug in those linkers
fixing which unless you're lucky breaks binary compatibility with binaries
generated by those linkers; there is no way to guaratee compatibility
with the binaries generated by these linkers so the breakage is
unavoidable.  In short - fingers away.

glibc-2.0.6-6lm was a release made in the erroneous assumption that this
linker bug is actually a bug in 2.8.1.  Now it tourned out to be just the
other way around.

Users of glibc-2.0.6-6lm should rebuild all binaries built with affected
linkers with a fixed linker before they downgrade their libc to
glibc-2.0.6-5lm.

Glibc 2.2 based systems have entirely been built using some broken linker.
In effect this means that they will have to be completly rebuilt with a
fixed linker.

Fix comes later ...

  Ralf